(function($){
	function getRandomInt(min, max) {
	    return Math.floor(Math.random() * (max - min + 1)) + min;
	}
 	var canvas={},
 	circle={},
 	lastRank={},
 	bestRank={rank:5},
 	ranks,
 	timer;
    $.fn.canvas=function(){
		canvas.el=$(this);
		canvas.originalHeight=canvas.el.height();
		canvas.originalWidth=canvas.el.width();
	};
	$.fn.lastRank=function(){
		lastRank.el=$(this);
		lastRank.el.text("5");
	};
	$.fn.bestRank=function(){
		bestRank.el=$(this);
		bestRank.el.text("5");
	}
	$.fn.play=function(){
		circle.el=$(this);
		circle.height=circle.el.height();
		circle.width=circle.el.width();
		canvas.availiableHeight=canvas.originalHeight-circle.height;
		canvas.availiableWidth=canvas.originalWidth-circle.width;
		moveCircle();
		circle.el.click(function(){
			updateStats();
			moveCircle();
		});
	}
	function moveCircle(){
		circle.el.hide();
		var w =getRandomInt(0,canvas.availiableWidth),
		h =getRandomInt(0,canvas.availiableHeight);
		circle.el.css({top:h,left:w});
		setTimeout(function(){
			circle.el.show();
			timer = new Date().getTime();
		},getRandomInt(0,5000));
	}
	function updateStats(){
		time=new Date().getTime();
		var rank = getRank(time-timer);
		ranks[rank]++;
		lastRank.el.text(rank);
		if(rank<bestRank.rank){
			bestRank.rank=rank;
			bestRank.el.text(bestRank.rank);
		};
	}
	function getRank(number){
		console.log(number);
		if(number<500)return 1;
		if(number<1000)return 2;
		if(number<1500)return 3;
		if(number<2000)return 4;
		return 5;
	}
	/*var d = new Date();
	var n = d.getMilliseconds();
 */
}( jQuery ));
	
$(function(){
	$(".canvas").canvas();
	$(".last").lastRank();
	$(".best").bestRank();
	$(".circle").play();
})


